RMDIR(1)

NOMBRE
rmdir - borra directorios vacíos

SINOPSIS
rmdir [opciones] directorio...

Opciones de POSIX: [-p]

Opciones de GNU (en la forma más corta): [-p] [--ignore-fail-on-non-empty] [--help] [--version] [--]

DESCRIPCIÓN
rmdir borra directorios vacíos.

Si un argumento directorio no se refiere a un directorio existente y vacío, es un error.

OPCIONES DE POSIX

-p  Si directorio incluye más de un componente en el camino, lo borra, luego quita el último componente y borra el directorio resultante, etc., hasta que todos los componentes hayan sido eliminados. Así, `rmdir -p a/b/c' es equivalente a `rmdir a/b/c; rmdir a/b; rmdir a'.

OPCIONES DE GNU

--ignore-fail-on-non-empty
    Normalmente, rmdir rehusará elminar un directorio que no está vacío. Esta opción hace que rmdir ignore el fallo para eliminar el directorio, si ese fallo se debe a que el directorio no está vacío. (Nueva en fileutils-4.0.)

-p, --parents
    Como se acaba de explicar arriba.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con código de éxito.

--version
    Muestra en la salida estándar información sobre la versión y luego acaba con código de éxito.

--  Termina la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_COLLATE, LC_CTYPE y LC_MESSAGES tienen los significados usuales.

CONFORME A
POSIX 1003.2.

EJEMPLO DE UTILIZACIÓN
La orden `rmdir fuu' borrará el directorio fuu si está vacío. Para borrar un directorio no vacío, junto con todo lo que tenga debajo, emplee `rm -r fuu'.

OBSERVACIONES
Esta página describe rmdir según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.